Удаленное выполнение произвольного кода и удаленный отказ в обслуживании в Cfengine

Дата публикации:
11.08.2004
Всего просмотров:
1261
Опасность:
Критическая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: Cfengine 2.0.0 - 2.1.7p1

Описание: Две уязвимости обнаружено в Cfengine в обработке данных RSA аутентификации. Удаленный пользователь может выполнить произвольный код на целевой системе с root привилегиями. Удаленный пользователь может вызвать условия отказа в обслуживании.

cfservd содержит переполнение буфера в функции AuthenticationDialogue(). Удаленный пользователь может вызвать переполнение буфера и выполнить произвольный код с root привилегиями. Чтобы эксплуатировать переполнение буфера, Ip адрес пользователя должен быть прописан в директиве 'AllowConnectionsFrom'.

Также в функции AuthenticationDialogue() обнаружена уязвимость удаленного отказа в обслуживании.

URL производителя: http://www.cfengine.org/

Решение:Установите обновленную версию (2.1.8): http://www.cfengine.org/mirrors.html

Ссылки: CORE-2004-0714: Cfengine RSA Authentication Heap Corruption

или введите имя

CAPTCHA